import request from '@/http/request.js';

// 消息提醒获取数据
export const queryNormalMessageList = (data) => {
  return request({
    url: 'pub/desktop/queryNormalMessageList.action',
    method: 'post',
    data,
  });
};

// 获取异常消息处理
export const queryErrorMessageList = (data) => {
  return request({
    url: 'pub/desktop/queryErrorMessageList.action',
    method: 'post',
    data,
  });
};

// 获取日成交交易table数据
export const getDailyTradeQuery = (data) => {
  return request({
    url: 'dcs/dailyTradeQuery.action',
    method: 'post',
    data,
  });
};

// 获取风险头寸图表数据
export const queryRiskPositionByType = (data) => {
  return request({
    url: 'rsk-new/rsk/queryRiskPositionByType.action',
    method: 'post',
    data,
  });
};

// 获取市场风险图表数据
export const getMarketRiskChart = (data) => {
  return request({
    url: 'pub/desktop/getMarketRiskChart',
    method: 'post',
    data,
  });
};

// 获取信用额度图表数据
export const getCreditLimitChart = (data) => {
  return request({
    url: 'pub/desktop/getCreditLimitChart',
    method: 'post',
    data,
  });
};

// 获取授权占比图表数据
export const getEmpowerChart = (data) => {
  return request({
    url: 'pub/desktop/getEmpowerChart',
    method: 'post',
    data,
  });
};

// 获取市场数据货币对价格
export const queryPriceList = (data) => {
  return request({
    url: 'mds/desktop/queryPriceList.action',
    method: 'post',
    data,
  });
};

// 获取货币对对应的历史数据
export const queryHistoryPriceList = (data) => {
  return request({
    url: 'mds/hisprice/client/desktop/queryHistoryPriceList.action',
    method: 'post',
    data,
  });
};

// 获取损益变动图表数据
export const queryPlByType = (data) => {
  return request({
    url: 'rsk-new/rsk/queryPlByType.action',
    method: 'post',
    data,
  });
};

// 获取账户列表数据
export const queryAllFolderInfo = (data) => {
  return request({
    url: 'pub/desktop/getFolderTree.action',
    method: 'post',
    data,
  });
};

// 获取损益货币
export const getFolderPlCcy = (data) => {
  return request({
    url: 'pub/desktop/getFolderPlCcy.action',
    method: 'post',
    data,
  });
};

// 获取资产情况表格数据
export const queryPlChartByType = (data) => {
  return request({
    url: 'pos/queryPlChartByType.action',
    method: 'post',
    data,
  });
};

// 获取资产情况期限数据
export const queryTermCash = (data) => {
  return request({
    url: 'dcs/queryCashFlowSumAmount.action',
    method: 'post',
    data,
  });
};

// 获取超限事件表格数据
export const getOverEventChart = (data) => {
  return request({
    url: 'pub/desktop/queryEventList.action',
    method: 'post',
    data,
  });
};

// 获取交易审批table数据
export const queryCommunicationMessage = (data) => {
  return request({
    url: 'pub/desktop/queryCommunicationMessage.action',
    method: 'post',
    data,
  });
};

// 获取结算发报table数据
export const queryPaymentFlowProcessList = (data) => {
  return request({
    url: 'settle6-web/desktop/queryPaymentFlowProcessList.action',
    method: 'post',
    data,
  });
};

// 获取收付审批列表
export const queryPaymentFlowAuditList = (data) => {
  return request({
    url: 'settle6-web/desktop/queryPaymentFlowAuditList.action',
    method: 'post',
    data,
  });
};

// 获取接口通讯列表
export const getApiStatus = (data) => {
  return request({
    url: 'settle6-web/desktop/getApiStatus.action',
    method: 'post',
    data,
  });
};

// 获取当日全量数据
export const queryDealAuditNum = (data) => {
  return request({
    url: 'settle6-web/desktop/queryDealAuditNum.action',
    method: 'post',
    data,
  });
};

// 获取机构
export const querySiteList = (data) => {
  return request({
    url: 'pub/desktop/querySiteList.action',
    method: 'post',
    data,
  });
};
// 日成交交易
export const queryDealPage = (data) => {
  return request({
    url: 'dcs/dcs/dealQuery/queryPage.action',
    method: 'post',
    data,
  });
};
